#ifndef _HP_H
#define _HP_H

#include "pnm.h"

#define BUFFER_SIZE 4096

#define FORMAT_THRESHOLDED 0
#define FORMAT_DITHERED    1
#define FORMAT_GREYSCALE   2
#define FORMAT_GRAYSCALE   FORMAT_GREYSCALE
#define FORMAT_TRUECOLOR   3

typedef struct {
  int xdpi, ydpi;
  int x, y, width,height; /* in decipoints, 1/300in */
  int format;
  double brightness, contrast;
} ScanSettings;

PNMPic *hp_scan_mem(int, ScanSettings *);
int hp_scan_file(int, int, ScanSettings *);
int hp_is_scanner(char *);
int hp_find_scanner();

#endif /* _HP_H */
